<template>
	<view class="choose">
		<view class="choosebg">
			<img class="title" src="https://ikea-mrm.woaap.com/images/mask/step1.png" />
			<view class="swiperbox">
				<swiper class="swiper" circular="true" :current="current" @change="change">
					<swiper-item>
						<view class="swiper-item"><img class="item" src="https://ikea-mrm.woaap.com/images/mask/choose/1.png" /></view>
					</swiper-item>
					<swiper-item>
						<view class="swiper-item"><img class="item" src="https://ikea-mrm.woaap.com/images/mask/choose/2.png" /></view>
					</swiper-item>
					<swiper-item>
						<view class="swiper-item uni-bg-blue"><img class="item" src="https://ikea-mrm.woaap.com/images/mask/choose/3.png" /></view>
					</swiper-item>
					<swiper-item>
						<view class="swiper-item uni-bg-blue"><img class="item" src="https://ikea-mrm.woaap.com/images/mask/choose/4.png" /></view>
					</swiper-item>
				</swiper>
				<img @click="previous" class="arrow left" src="https://ikea-mrm.woaap.com/images/mask/left.png" />
				<img @click="next" class="arrow right" src="https://ikea-mrm.woaap.com/images/mask/right.png" />
			</view>
			<text class="tips">左右滑动 选择不同场景</text>
			<view class="dots">
				<view class="dot" :class="{ dotact: current == 0 }"></view>
				<view class="dot" :class="{ dotact: current == 1 }"></view>
				<view class="dot" :class="{ dotact: current == 2 }"></view>
				<view class="dot" :class="{ dotact: current == 3 }"></view>
			</view>
			<img @click="gonext" class="subbtn" src="https://ikea-mrm.woaap.com/images/mask/nchoose/next.png" />
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			current: 0
		};
	},
	onShow() {
		wx.setStorageSync('step4', 0);
		getApp().td_app_sdk.event({
			id: 'choose',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '微笑传递爱心 和宜家玩在一起',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_mask.jpg'
		};
	},
	methods: {
		change(e) {
			console.log(e);
			this.current = e.detail.current;
		},
		previous() {
			this.current--;
			if (this.current < 0) this.current = 3;
		},
		next() {
			this.current++;
			if (this.current > 3) this.current = 0;
		},
		gonext() {
			console.log(this.current + 1);
			getApp().td_app_sdk.event({
				id: '就它了1',
				label: 'click'
			});
			wx.navigateTo({
				url: `/pages/mask/nchoose?choose=${this.current + 1}`,
				complete: res => {
					console.log(res);
				}
			});
		}
	}
};
</script>

<style lang="less">
.subbtn {
	width: 346rpx;
	height: 144rpx;
	margin: 40rpx auto;
}
.dotact {
	background: #b5b5b5 !important;
}
.tips {
	display: block;
	text-align: center;
	font-size: 24rpx;
	color: #bababa;
	font-family: '黑体';
	margin-top: 20rpx;
}
.dots {
	width: 120rpx;
	height: 20rpx;
	margin: 15rpx auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
	.dot {
		width: 12rpx;
		height: 12rpx;
		border-radius: 50%;
		background: #dcdcdc;
	}
}
.swiperbox {
	width: 100vw;
	height: 654rpx;
	margin-top: 180rpx;
	position: relative;
	.arrow {
		width: 32rpx;
		height: 48rpx;
		position: absolute;
		top: 270rpx;
		z-index: 999;
	}
	.left {
		left: 15rpx;
	}
	.right {
		right: 15rpx;
	}
	.swiper {
		width: 100%;
		height: 100%;
		position: relative;

		.swiper-item {
			margin: 0 auto;
			position: relative;
			width: 644rpx;
			height: 651rpx;
			.item {
				position: absolute;
				width: 100%;
				height: 100%;
				top: 0;
				left: 0;
			}
		}
	}
}

.choose {
	width: 100vw;
	height: 100vh;
	background: #f4f4f4;
	position: relative;
	.choosebg {
		width: 100vw;
		height: 100vh;
		background: url(https://ikea-mrm.woaap.com/images/mask/choose.jpg) no-repeat;
		background-size: 100%;
		position: absolute;
		top: 50rpx;
		left: 0;
		text-align: center;
		.title {
			width: 347rpx;
			height: 80rpx;
			position: absolute;
			top: 60rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
	}
}
</style>
